#!/usr/bin/env python

'''Program that returns 0 exit status if the job(s) has finished, 1 if it has not'''
__revision__ = '$Revision: 1.1 $'

from sys import argv
from elementtree.ElementTree import Element, SubElement, XML, tostring
from sss.ssslib import comm_lib

if __name__ == '__main__':
    msg = Element("get-job")
    [SubElement(msg, "job", jobid=jid) for jid in argv[1:]]
    comm = comm_lib()
    handle = comm.ClientInit('queue-manager')
    comm.SendMessage(handle, tostring(msg))
    resp = comm.RecvMessage(handle)
    comm.ClientClose(handle)
    xresp = XML(resp)
    if len(xresp.findall('job')) > 0:
        raise SystemExit, 1
    else:
        raise SystemExit, 0
